#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%define		apivers		%(echo %{name} | cut -d '-' -f2-3 | tr -s '-' '.')
#-----------------------------------------------------------------------------
Name		:	atkmm-2-36
Version		:	2.36.2
Release		:	17.0.10.rel%{?dist}
Summary		:	C++ interface for the ATK.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/atkmm

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	atk-devel
BuildRequires	:	doxygen
BuildRequires	:	glibmm
BuildRequires	:	mm-common

#-----------------------------------------------------------------------------
%description
'%{name}' is the official C++ interface for the ATK accessibility
toolkit library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md NEWS
%{_libdir}/lib%{sname}-%{apivers}.so.1*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

Provides	:	%{name}%{apiver}-devel	=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-%{apivers}/%{sname}.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/*.h
%{_includedir}/%{sname}-%{apivers}/%{sname}/private/*.h
%{_libdir}/%{sname}-%{apivers}/include/%{sname}config.h
%{_libdir}/%{sname}-%{apivers}/proc/m4/convert*.m4
%{_libdir}/lib%{sname}-%{apivers}.so
%{_libdir}/pkgconfig/%{sname}-%{apivers}.pc

#=============================================================================
%package		doc

Summary		:	API documentation for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the full API documentation for %{name}.
	
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_datadir}/devhelp/books/%{sname}-%{apivers}/%{sname}-%{apivers}.devhelp2
%{_defaultdocdir}/%{sname}-%{apivers}/*

#=============================================================================
%prep
%setup -q	-n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
